package com.ss.android.ugc.aweme.profile.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public class UserRateRemindInfo implements Serializable {
    @c(LIZ = "detail_link")
    public String detailLink;
    @c(LIZ = "rate_record_id")
    public long rateRecordId;
    @c(LIZ = "remind_text")
    public String remindText;
    @c(LIZ = "show_day_limit")
    public int showDayLimit;
    @c(LIZ = "show_detail_count_limit")
    public int showDetailCountLimit;

    static {
        Covode.recordClassIndex(98868);
    }

    public String getDetailLink() {
        return this.detailLink;
    }

    public long getRateRecordId() {
        return this.rateRecordId;
    }

    public String getRemindText() {
        return this.remindText;
    }

    public int getShowDayLimit() {
        return this.showDayLimit;
    }

    public int getShowDetailCountLimit() {
        return this.showDetailCountLimit;
    }

    public void setDetailLink(String str) {
        this.detailLink = str;
    }

    public void setRateRecordId(long j) {
        this.rateRecordId = j;
    }

    public void setRemindText(String str) {
        this.remindText = str;
    }

    public void setShowDayLimit(int i) {
        this.showDayLimit = i;
    }

    public void setShowDetailCountLimit(int i) {
        this.showDetailCountLimit = i;
    }
}
